DBusWatchList Struct Reference
DBusWatch implementation details

DBusWatchList implementation details. More...

## Data Fields

DBusList * | watches
| Watch objects. More...
DBusAddWatchFunction | add_watch_function
| Callback for adding a watch. More...
DBusRemoveWatchFunction | remove_watch_function
| Callback for removing a watch. More...
DBusWatchToggledFunction | watch_toggled_function
| Callback on toggling enablement.
void * | watch_data
| Data for watch callbacks.
DBusFreeFunction | watch_free_data_function
| Free function for watch callback data.

## Detailed Description

DBusWatchList implementation details.

All fields are private.

Definition at line 214 of file dbus-watch.c.

## Field Documentation

DBusAddWatchFunction DBusWatchList::add_watch_function

Callback for adding a watch.

Definition at line 218 of file dbus-watch.c.

Referenced by _dbus_watch_list_add_watch(), and _dbus_watch_list_set_functions().

DBusRemoveWatchFunction DBusWatchList::remove_watch_function

Callback for removing a watch.

Definition at line 219 of file dbus-watch.c.

Referenced by _dbus_watch_list_remove_watch(), and _dbus_watch_list_set_functions().

DBusList* DBusWatchList::watches

Watch objects.

Definition at line 216 of file dbus-watch.c.

Referenced by _dbus_watch_list_add_watch(), _dbus_watch_list_free(), _dbus_watch_list_remove_watch(), and _dbus_watch_list_set_functions().

The documentation for this struct was generated from the following file:

- dbus-watch.c